/*
 * ledLine.h
 *
 * Created: 17.10.2017 10:20:40
 *  Author: dsosnowski
 */ 


#ifndef LEDLINE_H_
#define LEDLINE_H_

void LineInit(void);
void LineState(uint8_t reference);
void LineDotSet(uint8_t dot);
void LineTraceSpeed(uint8_t speed);



#define LED1_PIN			(1<<7)
#define LED2_PIN			(1<<6)
#define LED3_PIN			(1<<5)
#define LED4_PIN			(1<<4)
#define LED5_PIN			(1<<3)
#define LED6_PIN			(1<<2)
#define LED7_PIN			(1<<1)
#define LED8_PIN			(1<<0)

#define LED9_PIN			(1<<6)
#define LED10_PIN			(1<<3)
#define LED11_PIN			(1<<4)
#define LED12_PIN			(1<<5)

#define LINE_LEN			12

extern const uint8_t ledMask[LINE_LEN];



#endif /* LEDLINE_H_ */